GWT 2.7.0

## com.google.web.bindery.requestfactory.apt
Class State.ForTesting

    java.lang.Object
      com.google.web.bindery.requestfactory.apt.State
          com.google.web.bindery.requestfactory.apt.State.ForTesting

Enclosing class:
  State

    static class State.ForTesting

extends State

Slightly tweaked implementation used when running tests.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.web.bindery.requestfactory.apt.State
`State.ForTesting`

Field Summary

Fields inherited from class com.google.web.bindery.requestfactory.apt.State
`baseProxyType, elements, entityProxyIdType, entityProxyType, extraTypesAnnotation, filer, instanceRequestType, locatorType, objectType, requestContextType, requestFactoryType, requestType, seen, serviceLocatorType, types, valueProxyType`

Constructor Summary
`State.ForTesting(javax.annotation.processing.ProcessingEnvironment processingEnv)`

Method Summary
`(package private) boolean` | `respectAnnotations()` This switch allows the RfValidatorTest code to be worked on in the IDE without causing compilation failures.

Methods inherited from class com.google.web.bindery.requestfactory.apt.State
`addMapping, addMapping, checkExtraTypes, debug, executeJobs, findType, getClientToDomainMap, isClientOnly, isMappingRequired, isPoisoned, isTransportableType, maybeScanContext, maybeScanFactory, maybeScanProxy, mustResolveAllAnnotations, poison, requireMapping, setClientOnly, setMustResolveAllMappings, viewAs, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### State.ForTesting

    public State.ForTesting(javax.annotation.processing.ProcessingEnvironment processingEnv)

Method Detail

### respectAnnotations

    boolean respectAnnotations()

  Description copied from class: `State`
  This switch allows the RfValidatorTest code to be worked on in the IDE without causing compilation failures.

  Overrides:
    `respectAnnotations` in class `State`

GWT 2.7.0